@charset "utf-8";

.catalog__page--active .anime--active .anime.delay--init { transition-delay: 0s; }
.catalog__page--active .anime--active .anime.delay--0 { transition-delay: 0.3s; }
.catalog__page--active .anime--active .anime.delay--1 { transition-delay: 0.4s; }
.catalog__page--active .anime--active .anime.delay--2 { transition-delay: 0.5s; }
.catalog__page--active .anime--active .anime.delay--3 { transition-delay: 0.6s; }
.catalog__page--active .anime--active .anime.delay--4 { transition-delay: 0.7s; }
.catalog__page--active .anime--active .anime.delay--5 { transition-delay: 0.8s; }
.catalog__page--active .anime--active .anime.delay--6 { transition-delay: 0.9s; }
.catalog__page--active .anime--active .anime.delay--7 { transition-delay: 1.0s; }
.catalog__page--active .anime--active .anime.delay--8 { transition-delay: 1.1s; }
.catalog__page--active .anime--active .anime.delay--9 { transition-delay: 1.2s; }
.catalog__page--active .anime--active .anime.delay--10 { transition-delay: 1.3s; }
.catalog__page--active .anime--active .anime.delay--11 { transition-delay: 1.4s; }
.catalog__page--active .anime--active .anime.delay--12 { transition-delay: 1.5s; }
.catalog__page--active .anime--active .anime.delay--13 { transition-delay: 1.6s; }
.catalog__page--active .anime--active .anime.delay--14 { transition-delay: 1.7s; }
.catalog__page--active .anime--active .anime.delay--15 { transition-delay: 1.8s; }
.catalog__page--active .anime--active .anime.delay--16 { transition-delay: 1.9s; }
.catalog__page--active .anime--active .anime.delay--17 { transition-delay: 2.0s; }
.catalog__page--active .anime--active .anime.delay--18 { transition-delay: 2.1s; }
.catalog__page--active .anime--active .anime.delay--19 { transition-delay: 2.2s; }
.catalog__page--active .anime--active .anime.delay--20 { transition-delay: 2.3s; }
.catalog__page--active .anime--active .anime.delay--21 { transition-delay: 2.4s; }
.catalog__page--active .anime--active .anime.delay--22 { transition-delay: 2.5s; }


.anime {
  -webkit-will-change: transform, opacity; 
  -moz-will-change: transform, opacity; 
  will-change: transform, opacity; 
  transition: 0s; 
  transition-delay: 0.5s; 
  transition-timing-function: var(--cubic-pop3)!important; 
  opacity: 0;
}
.catalog__page--active .anime--active .anime {opacity: 1; transition: opacity 0.8s, transform 0.8s;}

.ease {transition-timing-function: ease!important;}
.ease-in {transition-timing-function: ease-in!important;}
.ease-out {transition-timing-function: ease-out!important;}
.ease-in-out {transition-timing-function: ease-in-out!important;}
.linear {transition-timing-function: linear!important;}
.bouncing {transition-timing-function: cubic-bezier(.95,.43,.49,1.38)!important;}

.anime.fadein { opacity: 0;}
.catalog__page--active .anime--active .anime.fadein { opacity: 1;}

.anime.fadeout { opacity: 1;}
.catalog__page--active .anime--active .anime.fadeout { opacity: 0;}

.anime.fadeleft { opacity: 0; transform: translate(100px);}
.catalog__page--active .anime--active .anime.fadeleft { opacity: 1; transform: translate(0);}

.anime.faderight { opacity: 0; transform: translate(-100px); }
.catalog__page--active .anime--active .anime.faderight { opacity: 1; transform: translate(0); }

.anime.fadeup { opacity: 0; transform: translate(0, 100px);}
.catalog__page--active .anime--active .anime.fadeup { opacity: 1; transform: translate(0); }

.anime.fadedown { opacity: 0; transform: translate(0, -100px);}
.catalog__page--active .anime--active .anime.fadedown { opacity: 1; transform: translate(0);}

.anime.scaleup { opacity: 0; transform: scale(0.80);}
.catalog__page--active .anime--active .anime.scaleup { opacity: 1; transform: scale(1);}

.anime.scaledown { opacity: 1; transform: scale(1.25);}
.catalog__page--active .anime--active .anime.scaledown { opacity: 1; transform: scale(1);}

.anime.scaleupX { opacity: 0; transform: scaleX(0);}
.catalog__page--active .anime--active .anime.scaleupX { opacity: 1; transform: scaleX(1);}

.anime.scaleupY { opacity: 0; transform: scaleY(0);}
.catalog__page--active .anime--active .anime.scaleupY { opacity: 1; transform: scaleY(1);}

.anime.squizeY { opacity: 0; transform: scaleY(1.3);}
.catalog__page--active .anime--active .anime.squizeY { opacity: 1; transform: scaleY(1);}

.anime.squizeX { opacity: 0; transform: scaleX(1.3);}
.catalog__page--active .anime--active .anime.squizeX { opacity: 1; transform: scaleX(1);}

.anime.squizeUpY { opacity: 0; transform: scaleY(0.7);}
.catalog__page--active .anime--active .anime.squizeUpY { opacity: 1; transform: scaleY(1);}

.anime.squizeUpX { opacity: 0; transform: scaleX(0.7);}
.catalog__page--active .anime--active .anime.squizeUpX { opacity: 1; transform: scaleX(1);}